Client Service for NetWare overview

With Client Service for NetWare, you can access file and print resources on NetWare servers that are running Novell Directory Services (NDS) or bindery security (NetWare versions 3.x or 4.x) from your computer. Client Service for NetWare supports some NetWare utilities and applications that can use NetWare.

Interoperability with Netware 5.x

Client Service for NetWare does not support the IP protocol and therefore cannot be used to interoperate with NetWare 5.x in an IP-only environment. To do this, you must load the IPX protocol onto the NetWare 5.x server, or use a redirector that is compatible with NetWare Core Protocol (NCP) and supports native IP.

Important

  • XOX XOX


Common tasks: Client Service for NetWare

Microsoft Windows graphic

Common tasks

The following tasks are frequently used to set up Client Service for NetWare. XOX

Install Client Service for NetWare

Install Client Service for NetWare to enable computers running a member of the Windows Server 2003 family to make direct connections to file and printer resources on NetWare servers.

Step-by-step procedure

Install NWLink IPX/SPX/NetBIOS Compatible Transport Protocol

NWLink supports connectivity between computers running a member of the Windows Server 2003 family, and computers running NetWare and compatible systems. You can also use NWLink as a protocol that connects multiple Windows-based computers, or computers running MS Client for DOS.

Step-by-step procedure

Connect to a NetWare resource

Access files on NetWare volumes over the network. To connect to a NetWare file resource, you must have Client Service for NetWare and NWLink installed.

Step-by-step procedure

Connect to a printer attached to a NetWare server

To connect to a printer attached to a NetWare server, you must have Client Service for NetWare and NWLink installed. After you connect to a NetWare printer, the printer appears in Printers and Faxes.

Step-by-step procedure

Important

  • XOX XOX


Install Client Service for NetWare

To install Client Service for NetWare

  1. Open Network Connections.
  2. Right-click the local area connection for which you want to install Client Service for NetWare, and then click Properties.
  3. On the General tab, click Install.
  4. In the Select Network Component Type dialog box, click Client, and then click Add.
  5. In the Select Network Client dialog box, click Client Service for NetWare, and then click OK.

Important

  • XOX XOX

Notes

  • XOX
  • When you install Client Service for NetWare, it is installed for all connections. If you do not want Client Service for NetWare installed for a certain connection, view the properties for that connection and then clear Client Service for NetWare.
  • Client Service for NetWare does not support the IP protocol and therefore cannot be used to interoperate with NetWare in an IP-only environment. You must run the IPX protocol on the NetWare server, or use a redirector that is compatible with NetWare Core Protocol (NCP) and that supports native IP.
  • To test that Client Service for NetWare has been initialized properly, at a command prompt, type net view /network:nw. You should see a list of available NetWare servers.
  • When Client Service for NetWare is installed, the NWLink IPX/SPX/NetBIOS Compatible Transport protocol is also installed.


Set your preferred server

To set your preferred server

  1. Open Client Service for NetWare.
  2. Click Preferred Server, and type the name of the preferred server in Select Preferred Server.

Important

  • XOX XOX

Notes

  • XOX To use Client Service for NetWare, you must first install it.
  • You should set a default tree and context, not a preferred server, in a Novell Directory Services (NDS) environment.
  • If you do not want to set a preferred server, you can select None. You are then logged on to the nearest available NetWare server, and your interaction with the NetWare network is through that server. If you do not set a preferred server, you are prompted to set one each time you log in. You can set a preferred server at any time or continue to select None.

Related Topics


Set a default tree and context

To set a default tree and context

  1. Open Client Service for NetWare.
  2. Click Default Tree and Context, and then type the tree and context in Tree and Context respectively.

Important

  • XOX XOX

Notes

  • XOX To use Client Service for NetWare, you must first install it.
  • You should set a default tree and context only in a Novell Directory Services (NDS) environment. Otherwise, you can set a preferred server.


Set print options

To set print options

  1. Open Client Service for NetWare.
  2. Under Print Options, do one or more of the following:
    • To eject a page at the end of each print job, select Add Form Feed.
    • To receive notification when your document has been printed, select Notify When Printed.
    • To print a banner page before each print job, select Print Banner.
  3. Under Login Script options, to run a login script from the Netware server, select run Login Script.

Important

  • XOX XOX

Note

    XOX


Install NWLink

To install NWLink

  1. Open Network Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click Install.
  4. In the Select Network Component Type dialog box, click Protocol, and then click Add.
  5. In the Select Network Protocol dialog box, click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, and then click OK.

Important

  • XOX XOX

Notes

  • XOX
  • You must be a member of the Administrators group to install NWLink.
  • When you install NWLink, it is installed for all your connections. If you do not want NWLink installed for a certain connection, right-click that connection, click Properties and, on either the General or Networking tab, clear the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol check box.
  • To confirm that NWLink is working properly, at a command prompt, type ipxroute config. You should see a table with information about the bindings for which NWLink is configured.


Configure NWLink

To configure NWLink

  1. Open Network Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, and then click Properties.
  4. On the General tab, type a value for Internal network number, or leave this setting at the default value of 00000000.
  5. Do one of the following:
    • Click Auto frame type detection, and then click OK.
    • Click Manual frame type detection, and do the following:
      • Click Add.
      • In the Manual Frame Detection dialog box, in Frame type, click a frame type.
      • In Network number, type a network number, and then click OK.
      • Repeat these steps for each frame type you want to include, and then click OK.

Important

  • XOX XOX
  • These instructions are for advanced users. New users should accept default values unless told otherwise by their network administrator.

Notes

  • XOX
  • To configure NWLink, you must first install the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol and be a member of the Administrators group.
  • Additional tunable parameters for NWLink are stored in the registry. In most situations, you should not need to modify the defaults. You should use this procedure only if you want to bind NWLink to a different network adapter or to manually change the frame type.
  • By default, NWLink automatically detects the frame type used by the network adapter to which it is bound. If NWLink detects no network traffic or if multiple frame types are detected in addition to the 802.2 frame type, NWLink sets the frame type to 802.2.

    You can determine which external network number, frame type, and internal network number your routers are using by typing ipxroute config at a command prompt.


Connect to a NetWare resource

To connect to a NetWare resource

Using the Windows interface

  1. Open My Network Places.
  2. Do one of the following:
    • Double-click NetWare or Compatible Network.
    • Double-click Entire Network, and then double-click NetWare or Compatible Network.

    Windows Explorer displays Novell Directory Services (NDS) trees with a tree icon and individual NetWare computers with a computer icon.

  3. Double-click a tree or volume to see the contents. You can then double-click those contents to see other computers or volumes.
  4. Do one of the following:
    • When you find the volume or folder that you want to access, double-click the volume or folder to expand it.
    • To map a local drive to the volume or folder, click the volume or folder, and then, on the Tools menu, click Map Network Drive. Follow the instructions in the Map Network Drive wizard.

Important

  • XOX XOX

Notes

  • XOX
  • When you map a network drive, you are connected by default under the user name and password you used to log on. To connect under a different user name, follow the instructions in the Map Network Drive wizard.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.

Using a command line

  1. Open Command Prompt.
  2. Do any of the following:

    3. To connect to an individual NetWare volume

    • At the command prompt, type:

      net use drive: {UNCname|NetWareName}

      For example, to use the Universal Naming Convention (UNC) naming syntax to redirect drive G to the \Data\Mydata directory of the Thor volume on a server called Nw4, type:

      net use G: \\nw4\thor\data\mydata

      The following message indicates that your user name and password cannot be authenticated:

      The password is invalid for \\server name\volume name[\directory name...]

    To connect with a valid user name and password

    • At the command prompt, add your user name and password to the command line by typing:

      /user: UserName password

      For example, to use drive G to connect as Annie with the password Marshmallow to the \Data\Mydata directory within the Thor volume on a server called Nw4, type:

      net use G: \\nw4\thor\data\mydata /user:annie marshmallow

    To connect to a Novell Directory Services (NDS) tree

    • At the command prompt, type:

      net use drive: \\TreeName\volume.OrgName.OrgName [/u:UserName.OrgName.OrgName [password]]

      Value | Description
      TreeName | Name of the tree volume.
      OrgName | Tree location to which you want to connect.
      UserName.OrgName.OrgName | The user name and context for this tree (unless it is your default tree).

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • When you connect to NetWare file servers, net use is equivalent to the NetWare map command on MS-DOS-based NetWare workstations.
  • You can connect to Novell Directory Services (NDS) trees and individual NetWare volumes that use bindery-style security. NetWare server volumes, directories, and print queues are represented by Universal Naming Convention (UNC) names and use the same command syntax as Windows-based networks.
  • You can type the path to an NDS resource with or without labels (that is, cn=, ou=, and o=).
  • When you use a command prompt to connect to NetWare file resources, you can use the next available drive letter by replacing the drive letter with an asterisk (*) in the syntax. For example:

    net use *: UNCname or NetWarename

  • If you want to be prompted for a password, you can replace the password in the command line with an asterisk (*). When you type your password at the prompt, it does not appear on the screen.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (that is, Cmd.exe), which is available on the Programs menu, not the 16-bit version (that is, Command.com).
  • To view the complete syntax for net use, at a command prompt, type:

    net use /?


Connect to a printer attached to a NetWare server

To connect to a printer attached to a NetWare server

Using the Windows interface

  1. Open Printers and Faxes.
  2. Double-click Add Printer, and then click Next.
  3. Follow the remaining instructions in the Add Printer wizard.

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • If a printer driver is not available locally for a NetWare printer, you are prompted to install one.

Using a command line

  1. Open Command Prompt.
  2. Do any of the following:

    3. To redirect output from a port to a print queue

    • At the command prompt, type:

      net use ServerName \\PrintQueue

      For example, to redirect output from LPT1 to the NetWare print queue called Memos on the server Nw4, type:

      net use lpt1 \\nw4\memos

      This is equivalent to the NetWare capture q=memos s=nw4 l=1 command line.

    To send files that do not require formatting to LPT1

    • Redirect output with net use, and then, at the command prompt, type:

      copy FileName ServerName

      For example:

      copy myfile.txt lpt1

    To copy a file directly to a print queue

    • Redirect output with net use, and then, at the command prompt, type:

      copy FileName \\PrintQueue

      For example:

      copy myfile.txt \\nw4\memos

    To connect to a printer in a Novell Directory Services (NDS) tree

    • At the command prompt, type:

      net use drive: \\TreeName\printer.OrgName.OrgName [/u:UserName.OrgName.OrgName [password]]

      • Value | Description
TreeName | Name of the tree volume.
OrgName | Tree location to which you want to connect.
UserName.OrgName.OrgName | The user name and context for this tree (unless it is your default tree).

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • You can type the path to a NDS resource with or without labels (that is, cn=, ou=, o=).
  • When you run any application that writes directly to a predefined port, the net use command works like the NetWare capture utility, associating the NetWare print queue with the port.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (that is, Cmd.exe), which is available on the Programs menu, not the 16-bit version (that is, Command.com).


View NetWare resources

To view NetWare resources

Using the Windows interface

  1. Open My Network Places.
  2. Do one of the following:
    • Double-click NetWare or Compatible Network.
    • Double-click Entire Network, then double-click NetWare or Compatible Network.

    Windows Explorer displays Novell Directory Services (NDS) trees with a tree icon and individual NetWare computers with a computer icon.

  3. Double-click a tree or volume to see the contents. You can then double-click those contents to see other computers or volumes.

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.

Using a command line

  1. Open Command Prompt.
  2. Do any of the following:

    3. To display a list of NetWare file servers

    • At the command prompt, type:

      net view /network:nw

    To display volumes on a specific NetWare file server

    • At the command prompt, type:

      net view \\NWServerName /network:nw

      For example, to view the volumes on the NetWare server Nw4, type:

      net view \\nw4 /network:nw

    To display the contents of a directory on a NetWare file server running bindery security

    • At the command prompt, type:

      dir \\DirectoryPath

    To display the contents of a directory on a NetWare file server running Novell Directory Services (NDS)

    • Enclose the directory path in quotation marks. At the command prompt, type:

      dir "\\NDStree\volume.unit.group"

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • Net view performs the same function as the NetWare slist utility.
  • You can type the path to an NDS resource with or without labels (that is, cn=, ou=, o=).
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (that is, Cmd.exe), which is available on the Programs menu, not the 16-bit version (that is, Command.com).


View current network connections

To view current network connections

Using the Windows interface

To view all network connections

  • Open My Computer.

Notes

  • XOX
  • My Computer displays a red X over any disconnected network drives.

To view NetWare connections only

  • XOX

Important

  • XOX XOX

Using a command line

  1. Open Command Prompt.
  2. At the command prompt, type:

    net use

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (that is, Cmd.exe), which is available on the Programs menu, not the 16-bit version (that is, Command.com).
  • To view the complete syntax for net use, at a command prompt, type:

    net use /?


Change your NetWare password

To change your NetWare password

On a NetWare bindery server

  1. Open Command Prompt.
  2. Change to the drive for the NetWare server, and then type:

    cd \public

  3. Type the following, where NetWareServer is the name of the NetWare server for which you want to change your password:

    setpass NetWareServer

  4. When prompted for each, type your old password, a new password, and the new password again.

    A message confirms that you have successfully changed your password.

  5. If prompted, type y to change your password on other NetWare servers that also use your old password.

    6. Or, to leave your old password unchanged on the other NetWare servers, type n.

Important

  • XOX XOX

Notes

  • XOX
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • To change your password on more than one server, connect to all the servers before you type setpass.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (that is, Cmd.exe), which is available on the Programs menu, not the 16-bit version (that is, Command.com).

On a NetWare Novell Directory Services (NDS) tree

  1. Press CTRL+ALT+DELETE.
  2. Click Change Password.
  3. In Log on to, click NetWare or Compatible Network.
  4. In Old Password, type your current password.
  5. In New Password, type your new password and, in Confirm New Password, type your new password again.

Important

  • XOX XOX

Notes

  • Your password changes on all NDS trees to which you are currently connected. If the old password you specify does not match your current password on any of those trees, you are prompted to type the old password for those trees.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.


MS-DOS 16-bit NetWare utilities

You can use Windows Explorer or the net use command to perform the same functions as the NetWare attach, capture, login, and logout utilities, which are not supported in the Windows Server 2003 family and can cause failures. Like the NetWare capture command, the net use command enables MS-DOS and Windows applications to print to a specific port. You can also use the Printers folder to connect to printer queues.

You can use the net view command to perform the same function as the NetWare slist utility.

Important

  • XOX XOX

Notes

  • If you receive an error message while attempting to gain access to a server or directory path, verify that drive F is not in use and disconnect any unnecessary drive connections.
  • Client Service for NetWare does not support Novell NetWare 4.x or 5.x utilities.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com). While running Client Service for NetWare, if you run a batch file, such as a logon script, that opens an instance of the command prompt, the batch file should begin with the #cmd command, not #command.